Package edu.msu.cme.rdp.taxatree.utils

# Class ClassifierTreeBuilder<E extends edu.msu.cme.rdp.taxatree.Taxon>

java.lang.Object
edu.msu.cme.rdp.taxatree.utils.ClassifierTreeBuilder<E>

public class ClassifierTreeBuilder<E extends edu.msu.cme.rdp.taxatree.Taxon> extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ClassifierTreeBuilder.ClassifierTaxonFactory<E extends edu.msu.cme.rdp.taxatree.Taxon>`

## Constructor Summary

Constructors
Constructor
Description
`ClassifierTreeBuilder(edu.msu.cme.rdp.taxatree.ConcretRoot<E> root, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)`
`ClassifierTreeBuilder(edu.msu.cme.rdp.taxatree.ConcretRoot<E> root, List<ClassificationResult> classifications, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)`
`ClassifierTreeBuilder(E rootTaxon, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)`
`ClassifierTreeBuilder(E rootTaxon, List<ClassificationResult> classifications, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendClassification(ClassificationResult classification)`
`void`
`appendClassifications(List<ClassificationResult> classifications)`
`edu.msu.cme.rdp.taxatree.ConcretRoot<E>`
`getRoot()`
`void`
`setIncSeqNodes(boolean b)`
`void`
`setTaxonFactory(ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassifierTreeBuilder

public ClassifierTreeBuilder(E rootTaxon, List<ClassificationResult> classifications, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)

### ClassifierTreeBuilder

public ClassifierTreeBuilder(edu.msu.cme.rdp.taxatree.ConcretRoot<E> root, List<ClassificationResult> classifications, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)

### ClassifierTreeBuilder

public ClassifierTreeBuilder(E rootTaxon, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)

### ClassifierTreeBuilder

public ClassifierTreeBuilder(edu.msu.cme.rdp.taxatree.ConcretRoot<E> root, float conf, ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)

## Method Details

### appendClassifications

public void appendClassifications(List<ClassificationResult> classifications)

### appendClassification

public void appendClassification(ClassificationResult classification)

### setIncSeqNodes

public void setIncSeqNodes(boolean b)

### setTaxonFactory

public void setTaxonFactory(ClassifierTreeBuilder.ClassifierTaxonFactory<E> taxonFactory)

### getRoot

public edu.msu.cme.rdp.taxatree.ConcretRoot<E> getRoot()